html, body {
  margin: 0;
  padding: 0;
  background-color: black;
}

.floating-box {
  min-width: 200vw;
  min-height: 200vh;
  width: 200vw;
  height: 200vh;
  position: absolute;
  top: -100px;
  left: -100px;
  background-image: url('background.gif');
  /* Make the background.gif half the size */
  background-size: 5%;
  background-repeat: repeat;
  animation: circle 20s linear infinite;
}

@keyframes circle {
  0% {
    transform: rotate(0deg) 
    translateY(-100px) rotate(0deg);
  }
  100% {
    transform: rotate(360deg) 
    translateY(-100px) rotate(-360deg);
  }
}
